### Method

# ECal Component get_id

since: 3.34

#### Declaration [src]

    ECalComponentId*
    e_cal_component_get_id (
      ECalComponent* comp
    )

#### Description [src]

Get the ID of the component as an `ECalComponentId`. The return value should be freed with e_cal_component_id_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentId`

The id of the component.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.